Package org.kie.api.runtime.manager

## Class RuntimeEnvironmentBuilder.Factory

- java.lang.Object
- - org.kie.api.runtime.manager.RuntimeEnvironmentBuilder.Factory

- All Implemented Interfaces:
    `RuntimeEnvironmentBuilderFactory`
  Enclosing interface:
    RuntimeEnvironmentBuilder

      public static class RuntimeEnvironmentBuilder.Factory
      extends Object
      implements RuntimeEnvironmentBuilderFactory

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Factory()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static RuntimeEnvironmentBuilderFactory` | `get()` | Returns a reference to the RuntimeEnvironmentBuilderFactory singleton
    `RuntimeEnvironmentBuilder` | `newClasspathKmoduleDefaultBuilder()` | Provides default configuration of `RuntimeEnvironmentBuilder` that is based on: DefaultRuntimeEnvironment It relies on KieClasspathContainer that requires to have kmodule.xml present in META-INF folder which defines the kjar itself.
    `RuntimeEnvironmentBuilder` | `newClasspathKmoduleDefaultBuilder​(String kbaseName, String ksessionName)` | Provides default configuration of `RuntimeEnvironmentBuilder` that is based on: DefaultRuntimeEnvironment It relies on KieClasspathContainer that requires to have kmodule.xml present in META-INF folder which defines the kjar itself.
    `RuntimeEnvironmentBuilder` | `newDefaultBuilder()` | Provides default configuration of `RuntimeEnvironmentBuilder` that is based on: DefaultRuntimeEnvironment
    `RuntimeEnvironmentBuilder` | `newDefaultBuilder​(String groupId, String artifactId, String version)` | Provides default configuration of `RuntimeEnvironmentBuilder` that is based on: DefaultRuntimeEnvironment This one is tailored to works smoothly with kjars as the notion of kbase and ksessions
    `RuntimeEnvironmentBuilder` | `newDefaultBuilder​(String groupId, String artifactId, String version, String kbaseName, String ksessionName)` | Provides default configuration of `RuntimeEnvironmentBuilder` that is based on: DefaultRuntimeEnvironment This one is tailored to works smoothly with kjars as the notion of kbase and ksessions
    `RuntimeEnvironmentBuilder` | `newDefaultBuilder​(ReleaseId releaseId)` | Provides default configuration of `RuntimeEnvironmentBuilder` that is based on: DefaultRuntimeEnvironment This one is tailored to works smoothly with kjars as the notion of kbase and ksessions
    `RuntimeEnvironmentBuilder` | `newDefaultBuilder​(ReleaseId releaseId, String kbaseName, String ksessionName)` | Provides default configuration of `RuntimeEnvironmentBuilder` that is based on: DefaultRuntimeEnvironment This one is tailored to works smoothly with kjars as the notion of kbase and ksessions
    `RuntimeEnvironmentBuilder` | `newDefaultInMemoryBuilder()` | Provides default configuration of `RuntimeEnvironmentBuilder` that is based on: DefaultRuntimeEnvironment but it does not have persistence for process engine configured so it will only store process instances in memory
    `RuntimeEnvironmentBuilder` | `newEmptyBuilder()` | Provides completely empty `RuntimeEnvironmentBuilder` instance that allows to manually set all required components instead of relying on any defaults.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Factory

          public Factory()

  - ### Method Detail

    - #### get

          public static RuntimeEnvironmentBuilderFactory get()

      Returns a reference to the RuntimeEnvironmentBuilderFactory singleton

    - #### newEmptyBuilder

          public RuntimeEnvironmentBuilder newEmptyBuilder()

      Description copied from interface: `RuntimeEnvironmentBuilderFactory`
      Provides completely empty `RuntimeEnvironmentBuilder` instance that allows to manually set all required components instead of relying on any defaults.
      Specified by:
        `newEmptyBuilder` in interface `RuntimeEnvironmentBuilderFactory`
      Returns:
        new instance of `RuntimeEnvironmentBuilder`

    - #### newDefaultBuilder

          public RuntimeEnvironmentBuilder newDefaultBuilder()

      Description copied from interface: `RuntimeEnvironmentBuilderFactory`
      Provides default configuration of `RuntimeEnvironmentBuilder` that is based on:
      - DefaultRuntimeEnvironment
      Specified by:
        `newDefaultBuilder` in interface `RuntimeEnvironmentBuilderFactory`
      Returns:
        new instance of `RuntimeEnvironmentBuilder` that is already preconfigured with defaults see DefaultRuntimeEnvironment

    - #### newDefaultInMemoryBuilder

          public RuntimeEnvironmentBuilder newDefaultInMemoryBuilder()

      Description copied from interface: `RuntimeEnvironmentBuilderFactory`
      Provides default configuration of `RuntimeEnvironmentBuilder` that is based on:
      - DefaultRuntimeEnvironment
      but it does not have persistence for process engine configured so it will only store process instances in memory
      Specified by:
        `newDefaultInMemoryBuilder` in interface `RuntimeEnvironmentBuilderFactory`
      Returns:
        new instance of `RuntimeEnvironmentBuilder` that is already preconfigured with defaults see DefaultRuntimeEnvironment

    - #### newDefaultBuilder

          public RuntimeEnvironmentBuilder newDefaultBuilder​(String groupId,
                                                             String artifactId,
                                                             String version)

      Description copied from interface: `RuntimeEnvironmentBuilderFactory`
      Provides default configuration of `RuntimeEnvironmentBuilder` that is based on:
      - DefaultRuntimeEnvironment
      This one is tailored to works smoothly with kjars as the notion of kbase and ksessions
      Specified by:
        `newDefaultBuilder` in interface `RuntimeEnvironmentBuilderFactory`
      Parameters:
        `groupId` - group id of kjar
        `artifactId` - artifact id of kjar
        `version` - version number of kjar
      Returns:
        new instance of `RuntimeEnvironmentBuilder` that is already preconfigured with defaults see DefaultRuntimeEnvironment

    - #### newDefaultBuilder

          public RuntimeEnvironmentBuilder newDefaultBuilder​(String groupId,
                                                             String artifactId,
                                                             String version,
                                                             String kbaseName,
                                                             String ksessionName)

      Description copied from interface: `RuntimeEnvironmentBuilderFactory`
      Provides default configuration of `RuntimeEnvironmentBuilder` that is based on:
      - DefaultRuntimeEnvironment
      This one is tailored to works smoothly with kjars as the notion of kbase and ksessions
      Specified by:
        `newDefaultBuilder` in interface `RuntimeEnvironmentBuilderFactory`
      Parameters:
        `groupId` - group id of kjar
        `artifactId` - artifact id of kjar
        `version` - version number of kjar
        `kbaseName` - name of the kbase defined in kmodule.xml stored in kjar
        `ksessionName` - name of the ksession define in kmodule.xml stored in kjar
      Returns:
        new instance of `RuntimeEnvironmentBuilder` that is already preconfigured with defaults see DefaultRuntimeEnvironment

    - #### newDefaultBuilder

          public RuntimeEnvironmentBuilder newDefaultBuilder​(ReleaseId releaseId)

      Description copied from interface: `RuntimeEnvironmentBuilderFactory`
      Provides default configuration of `RuntimeEnvironmentBuilder` that is based on:
      - DefaultRuntimeEnvironment
      This one is tailored to works smoothly with kjars as the notion of kbase and ksessions
      Specified by:
        `newDefaultBuilder` in interface `RuntimeEnvironmentBuilderFactory`
      Parameters:
        `releaseId` - `ReleaseId` that described the kjar
      Returns:
        new instance of `RuntimeEnvironmentBuilder` that is already preconfigured with defaults see DefaultRuntimeEnvironment

    - #### newDefaultBuilder

          public RuntimeEnvironmentBuilder newDefaultBuilder​(ReleaseId releaseId,
                                                             String kbaseName,
                                                             String ksessionName)

      Description copied from interface: `RuntimeEnvironmentBuilderFactory`
      Provides default configuration of `RuntimeEnvironmentBuilder` that is based on:
      - DefaultRuntimeEnvironment
      This one is tailored to works smoothly with kjars as the notion of kbase and ksessions
      Specified by:
        `newDefaultBuilder` in interface `RuntimeEnvironmentBuilderFactory`
      Parameters:
        `releaseId` - `ReleaseId` that described the kjar
        `kbaseName` - name of the kbase defined in kmodule.xml stored in kjar
        `ksessionName` - name of the ksession define in kmodule.xml stored in kjar
      Returns:
        new instance of `RuntimeEnvironmentBuilder` that is already preconfigured with defaults see DefaultRuntimeEnvironment

    - #### newClasspathKmoduleDefaultBuilder

          public RuntimeEnvironmentBuilder newClasspathKmoduleDefaultBuilder()

      Description copied from interface: `RuntimeEnvironmentBuilderFactory`
      Provides default configuration of `RuntimeEnvironmentBuilder` that is based on:
      - DefaultRuntimeEnvironment
      It relies on KieClasspathContainer that requires to have kmodule.xml present in META-INF folder which defines the kjar itself. Expects to use default kbase and ksession from kmodule.
      Specified by:
        `newClasspathKmoduleDefaultBuilder` in interface `RuntimeEnvironmentBuilderFactory`
      Returns:
        new instance of `RuntimeEnvironmentBuilder` that is already preconfigured with defaults see DefaultRuntimeEnvironment

    - #### newClasspathKmoduleDefaultBuilder

          public RuntimeEnvironmentBuilder newClasspathKmoduleDefaultBuilder​(String kbaseName,
                                                                             String ksessionName)

      Description copied from interface: `RuntimeEnvironmentBuilderFactory`
      Provides default configuration of `RuntimeEnvironmentBuilder` that is based on:
      - DefaultRuntimeEnvironment
      It relies on KieClasspathContainer that requires to have kmodule.xml present in META-INF folder which defines the kjar itself.
      Specified by:
        `newClasspathKmoduleDefaultBuilder` in interface `RuntimeEnvironmentBuilderFactory`
      Parameters:
        `kbaseName` - name of the kbase defined in kmodule.xml
        `ksessionName` - name of the ksession define in kmodule.xml
      Returns:
        new instance of `RuntimeEnvironmentBuilder` that is already preconfigured with defaults see DefaultRuntimeEnvironment